package de.ivu.elect.presentation.ergebnis;

public interface ErgebnisartUmschaltenView {

  boolean isBtnWechselnAufVorlaeufigeErfassungRendered();

  boolean isBtnWechselnAufVorlaeufigeErfassungDisabled();

  String wechselnAufVorlaeufigeErfassung();

  String getBtnWechselnAufVorlaeufigeErfassungLabel();

  boolean isBtnWechselnAufEndgueltigeErfassungOhneUebernahmeVorlaeufigerErgebniseingaengeRendered();

  boolean isBtnWechselnAufEndgueltigeErfassungOhneUebernahmeVorlaeufigerErgebniseingaengeDisabled();

  String wechselnAufEndgueltigeErfassungOhneUebernahmeVorlaeufigerErgebniseingaenge();

  String getBtnWechselnAufEndgueltigeErfassungOhneUebernahmeVorlaeufigerErgebniseingaengeLabel();

  boolean isBtnWechselnAufEndgueltigeErfassungMitUebernahmeVorlaeufigerErgebniseingaengeRendered();

  boolean isBtnWechselnAufEndgueltigeErfassungMitUebernahmeVorlaeufigerErgebniseingaengeDisabled();

  String wechselnAufEndgueltigeErfassungMitUebernahmeVorlaeufigerErgebniseingaenge();

  String getBtnWechselnAufEndgueltigeErfassungMitUebernahmeVorlaeufigerErgebniseingaengeLabel();

  String getZielErgebnisartName();

  boolean isBtnErebnisartUmschaltenRendered();

  String getBtnErgebnisartUmschaltenLabel();
}
